package com.shiro.demo.service.api;

import java.util.Set;

import com.shiro.demo.po.User;

public interface UserServiceApi {
	/**
	 * 根据用户名的到用户信息
	 * @param useName
	 * @return
	 */
	public User getUserByName(String useName)throws Exception;
	
	/**
	 * 根据用户名的到用户角色
	 * @return
	 * @throws Exception
	 */
	public Set<String> getRoleByUserName(String userName)throws Exception;
	
	/**
	 * 根据用户名得到用户权限
	 * @return
	 * @throws Exception
	 */
	public Set<String> getPermissionByUserName(String userName)throws Exception;
}
