package com.shiro.demo.service;

import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.shiro.demo.mapper.UserMapper;
import com.shiro.demo.po.User;
import com.shiro.demo.service.api.UserServiceApi;

@Service
public class UserServiceImpl implements UserServiceApi{

	@Autowired
	private UserMapper mapper;
	
	public User getUserByName(String userName) throws Exception{
		return mapper.getUserByUserName(userName);
	}

	public Set<String> getRoleByUserName(String userName) throws Exception{
		return mapper.getRoleByUserName(userName);
	}

	public Set<String> getPermissionByUserName(String userName) throws Exception{
		return mapper.getPermissionByUserName(userName);
	}

}
