package com.shiro.demo.util;

import org.apache.shiro.codec.Base64;
import org.apache.shiro.crypto.hash.Md5Hash;

public class CryptographyUtil {
	
	/**
	 * 进行base64编码
	 * @param str
	 * @return
	 */
	public static String encodeBase64(String str){
		return Base64.encodeToString(str.getBytes());
	}
	
	/**
	 * base64解密
	 * @param str
	 * @return
	 */
	public static String decodeBase64(String str){
		return Base64.decodeToString(str);
	}
	
	/**
	 * MD5加密
	 * @param str 源
	 * @param salt 扰数据
	 * @return
	 */
	public static String md5(String str , String salt){
		return new Md5Hash(str, salt).toString();
	}
	
	public static void main(String[] args) {
//		String sss = encodeBase64("111111");
//		System.out.println(sss);
//		System.out.println(decodeBase64(sss));
//		
		System.out.println(md5("123123", "xiaowang"));
	}
}
