package com.shiro.demo.util;

import java.util.HashMap;
import java.util.Map;

/**
 * 返回对象封装类
 * @author Administrator
 *
 */
public class ResultUtil {
	/**
	 * 
	 * @param result 是否成功
	 * @param msg 消息
	 * @param data 返回数据
	 * @param total 总条数
	 * @param pageIndex 页码
	 * @param pageSize 本次返回条数
	 * @return
	 */
	public static Map<String, Object> put(Integer result, String msg, Object data, Integer total, Integer pageIndex, Integer pageSize) {
		Map<String, Object> resultMap=new HashMap<String, Object>();
		resultMap.put("result", result);
		resultMap.put("msg", msg);
		resultMap.put("data",data);
		resultMap.put("total",total);
		resultMap.put("pageIndex",pageIndex);
		resultMap.put("pageSize",pageSize);
		return resultMap;
	}
	
	/**
	 * 
	 * @param result 是否成功
	 * @param msg 消息
	 * @param data 返回数据
	 * @return
	 */
	public static Map<String, Object> put(Integer result, String msg, Object data) {
		Map<String, Object> resultMap=new HashMap<String, Object>();
		resultMap.put("result", result);
		resultMap.put("msg", msg);
		resultMap.put("data",data);
		return resultMap;
	}
	
	/**
	 * 是否成功
	 * @Title: put 
	 * @Description: 是否成功
	 * @param result
	 * @param msg
	 * @return
	 * @return: Map<String,Object>
	 */
	public static Map<String, Object> put(Integer result, String msg) {
		Map<String, Object> resultMap=new HashMap<String, Object>();
		resultMap.put("result", result);
		resultMap.put("msg", msg);
		return resultMap;
	}
	
}
